Bug 133750 - Writing multitrack audio CD fails with OOM
Writing multitrack audio CD fails with OOM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 02:54 EDT by vvs
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 01:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg (12.40 KB, text/plain)
2004-09-27 02:55 EDT, vvs
no flags Details
output of free (230 bytes, text/plain)
2004-09-27 02:56 EDT, vvs
no flags Details
contents of /proc/meminfo (644 bytes, text/plain)
2004-09-27 02:56 EDT, vvs
no flags Details
contents of /var/log/messages (5.06 KB, text/plain)
2004-09-27 02:57 EDT, vvs
no flags Details
contents of /proc/slabinfo (11.07 KB, text/plain)
2004-09-27 02:58 EDT, vvs
no flags Details
contents of /proc/vmstat (667 bytes, text/plain)
2004-09-27 02:59 EDT, vvs
no flags Details

  None (edit)
Description vvs 2004-09-27 02:54:26 EDT
Description of problem:

When I try to write multitrack audio CD it fails with OOM. Writing one
track data CD works ok.

My configuration:
RAM 128MB
ATAPI CD-RW Teac CD-W54E (firmware 1.1Y)

Notes: It doesn't depend on whether I write it using cdrecord or
cdrdao. It happens with FC2 stock versions of cdrdao and cdrecord as
well. It doesn't matter if I write single .bin image or multiple .wav
files. It doesn't depend on swap size or if there is no swap at all.
But it doesn't happen on the box with 512MB of RAM with USB CD/DVD-RW
drive.

Version-Release number of selected component (if applicable):

kernel-2.6.8-1.521
cdrdao-1.1.9-5
cdrecord-2.01.1-2

How reproducible:

Always (but see above notes)

Steps to Reproduce:
1. Make sure you have 128MB of RAM and ATAPI CD-R/RW drive
2. Create an image of multitrack audio CD or rip it into .wav files
3. cdrdao write --device ATAPI:0,0,0 image.toc
  
Actual results:

After writing about 266-268MB and 5 tracks the buffers drop from 100%
to 81% and then OOM killer killed it.

Expected results:

It should write it to the end.

Additional info:

It worked before on 2.4.x kernel series. And there are suspicious
messages from the kernel about DMA memory.
Comment 1 vvs 2004-09-27 02:55:27 EDT
Created attachment 104349 [details]
output of dmesg
Comment 2 vvs 2004-09-27 02:56:16 EDT
Created attachment 104350 [details]
output of free
Comment 3 vvs 2004-09-27 02:56:48 EDT
Created attachment 104351 [details]
contents of /proc/meminfo
Comment 4 vvs 2004-09-27 02:57:36 EDT
Created attachment 104352 [details]
contents of /var/log/messages
Comment 5 vvs 2004-09-27 02:58:18 EDT
Created attachment 104353 [details]
contents of /proc/slabinfo
Comment 6 vvs 2004-09-27 02:59:01 EDT
Created attachment 104354 [details]
contents of /proc/vmstat
Comment 7 vvs 2004-10-08 03:16:23 EDT
Seems that it was fixed in 2.6.8.1-mm2, according to announcement.
Will it be merged with RH kernel?
Comment 8 vvs 2004-10-15 01:26:10 EDT
Well, it seems that the fix was merged at least in kernel-2.6.8-1.607

Note You need to log in before you can comment on or make changes to this bug.